Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class ComputeExpImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ComputeExpImpl

All Implemented Interfaces:
  ComputeExp, ImperativeExpression

    public class ComputeExpImpl

extends ImperativeExpressionImpl
implements ComputeExp

An implementation of the model object 'Compute Exp'.

The following features are implemented:

- `Body`
- `Returned Element`

Field Summary
`protected OCLExpression` | `body` The cached value of the '`Body`' containment reference
`protected Variable` | `returnedElement` The cached value of the '`Returned Element`' containment reference

Constructor Summary
`protected` | `ComputeExpImpl()`

Method Summary
`
`<T,U extends > T`
` | `accept(U v)`
`NotificationChain` | `basicSetBody(OCLExpression newBody, NotificationChain msgs)`
`NotificationChain` | `basicSetReturnedElement(Variable newReturnedElement, NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`OCLExpression` | `getBody()`
`Variable` | `getReturnedElement()`
`void` | `setBody(OCLExpression newBody)`
`void` | `setReturnedElement(Variable newReturnedElement)`

Methods inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### body

    protected OCLExpression body

  The cached value of the '`Body`' containment reference.

  See Also:
    `getBody()`

### returnedElement

    protected Variable returnedElement

  The cached value of the '`Returned Element`' containment reference.

  See Also:
    `getReturnedElement()`

Constructor Detail

### ComputeExpImpl

    protected ComputeExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeExpressionImpl`

### getBody

    public OCLExpression getBody()

  Specified by:
    `getBody` in interface `ComputeExp`
  Returns:
    the value of the 'Body' containment reference.
  See Also:
    `ComputeExp.setBody(OCLExpression)`, `ImperativeOCLPackage.getComputeExp_Body()`

### basicSetBody

    public NotificationChain basicSetBody(OCLExpression newBody,
                                          NotificationChain msgs)

### setBody

    public void setBody(OCLExpression newBody)

  Specified by:
    `setBody` in interface `ComputeExp`
  Parameters:
    `newBody` - the new value of the 'Body' containment reference.
  See Also:
    `ComputeExp.getBody()`

### getReturnedElement

    public Variable getReturnedElement()

  Specified by:
    `getReturnedElement` in interface `ComputeExp`
  Returns:
    the value of the 'Returned Element' containment reference.
  See Also:
    `ComputeExp.setReturnedElement(Variable)`, `ImperativeOCLPackage.getComputeExp_ReturnedElement()`

### basicSetReturnedElement

    public NotificationChain basicSetReturnedElement(Variable newReturnedElement,
                                                     NotificationChain msgs)

### setReturnedElement

    public void setReturnedElement(Variable newReturnedElement)

  Specified by:
    `setReturnedElement` in interface `ComputeExp`
  Parameters:
    `newReturnedElement` - the new value of the 'Returned Element' containment reference.
  See Also:
    `ComputeExp.getReturnedElement()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### accept

    public <T,U extends > T accept(U v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD